# coding=utf-8
from OTLMOW.OTLModel.Datatypes.KeuzelijstField import KeuzelijstField
from OTLMOW.OTLModel.Datatypes.KeuzelijstWaarde import KeuzelijstWaarde


# Generated with OTLEnumerationCreator. To modify: extend, do not edit
class KlAlgGemeente(KeuzelijstField):
    """Lijst van gemeentes in Vlaanderen."""
    naam = 'KlAlgGemeente'
    label = 'Gemeente'
    objectUri = 'https://wegenenverkeer.data.vlaanderen.be/ns/implementatieelement#KlAlgGemeente'
    definition = 'Lijst van gemeentes in Vlaanderen.'
    codelist = 'https://wegenenverkeer.data.vlaanderen.be/id/conceptscheme/KlAlgGemeente'
    options = {
        'aalst': KeuzelijstWaarde(invulwaarde='aalst',
                                  label='aalst',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/aalst'),
        'aalter': KeuzelijstWaarde(invulwaarde='aalter',
                                   label='aalter',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/aalter'),
        'aarschot': KeuzelijstWaarde(invulwaarde='aarschot',
                                     label='aarschot',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/aarschot'),
        'aartselaar': KeuzelijstWaarde(invulwaarde='aartselaar',
                                       label='aartselaar',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/aartselaar'),
        'affligem': KeuzelijstWaarde(invulwaarde='affligem',
                                     label='affligem',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/affligem'),
        'alken': KeuzelijstWaarde(invulwaarde='alken',
                                  label='alken',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/alken'),
        'alveringem': KeuzelijstWaarde(invulwaarde='alveringem',
                                       label='alveringem',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/alveringem'),
        'antwerpen': KeuzelijstWaarde(invulwaarde='antwerpen',
                                      label='antwerpen',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/antwerpen'),
        'anzegem': KeuzelijstWaarde(invulwaarde='anzegem',
                                    label='anzegem',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/anzegem'),
        'ardooie': KeuzelijstWaarde(invulwaarde='ardooie',
                                    label='ardooie',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ardooie'),
        'arendonk': KeuzelijstWaarde(invulwaarde='arendonk',
                                     label='arendonk',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/arendonk'),
        'as': KeuzelijstWaarde(invulwaarde='as',
                               label='as',
                               objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/as'),
        'asse': KeuzelijstWaarde(invulwaarde='asse',
                                 label='asse',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/asse'),
        'assenede': KeuzelijstWaarde(invulwaarde='assenede',
                                     label='assenede',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/assenede'),
        'avelgem': KeuzelijstWaarde(invulwaarde='avelgem',
                                    label='avelgem',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/avelgem'),
        'baarle-Hertog': KeuzelijstWaarde(invulwaarde='baarle-Hertog',
                                          label='baarle-Hertog',
                                          objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/baarle-Hertog'),
        'balen': KeuzelijstWaarde(invulwaarde='balen',
                                  label='balen',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/balen'),
        'beernem': KeuzelijstWaarde(invulwaarde='beernem',
                                    label='beernem',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/beernem'),
        'beerse': KeuzelijstWaarde(invulwaarde='beerse',
                                   label='beerse',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/beerse'),
        'beersel': KeuzelijstWaarde(invulwaarde='beersel',
                                    label='beersel',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/beersel'),
        'begijnendijk': KeuzelijstWaarde(invulwaarde='begijnendijk',
                                         label='begijnendijk',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/begijnendijk'),
        'bekkevoort': KeuzelijstWaarde(invulwaarde='bekkevoort',
                                       label='bekkevoort',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bekkevoort'),
        'beringen': KeuzelijstWaarde(invulwaarde='beringen',
                                     label='beringen',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/beringen'),
        'berlaar': KeuzelijstWaarde(invulwaarde='berlaar',
                                    label='berlaar',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/berlaar'),
        'berlare': KeuzelijstWaarde(invulwaarde='berlare',
                                    label='berlare',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/berlare'),
        'bertem': KeuzelijstWaarde(invulwaarde='bertem',
                                   label='bertem',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bertem'),
        'bever': KeuzelijstWaarde(invulwaarde='bever',
                                  label='bever',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bever'),
        'beveren': KeuzelijstWaarde(invulwaarde='beveren',
                                    label='beveren',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/beveren'),
        'bierbeek': KeuzelijstWaarde(invulwaarde='bierbeek',
                                     label='bierbeek',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bierbeek'),
        'bilzen': KeuzelijstWaarde(invulwaarde='bilzen',
                                   label='bilzen',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bilzen'),
        'blankenberge': KeuzelijstWaarde(invulwaarde='blankenberge',
                                         label='blankenberge',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/blankenberge'),
        'bocholt': KeuzelijstWaarde(invulwaarde='bocholt',
                                    label='bocholt',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bocholt'),
        'boechout': KeuzelijstWaarde(invulwaarde='boechout',
                                     label='boechout',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/boechout'),
        'bonheiden': KeuzelijstWaarde(invulwaarde='bonheiden',
                                      label='bonheiden',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bonheiden'),
        'boom': KeuzelijstWaarde(invulwaarde='boom',
                                 label='boom',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/boom'),
        'boortmeerbeek': KeuzelijstWaarde(invulwaarde='boortmeerbeek',
                                          label='boortmeerbeek',
                                          objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/boortmeerbeek'),
        'borgloon': KeuzelijstWaarde(invulwaarde='borgloon',
                                     label='borgloon',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/borgloon'),
        'bornem': KeuzelijstWaarde(invulwaarde='bornem',
                                   label='bornem',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bornem'),
        'borsbeek': KeuzelijstWaarde(invulwaarde='borsbeek',
                                     label='borsbeek',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/borsbeek'),
        'boutersem': KeuzelijstWaarde(invulwaarde='boutersem',
                                      label='boutersem',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/boutersem'),
        'brakel': KeuzelijstWaarde(invulwaarde='brakel',
                                   label='brakel',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/brakel'),
        'brasschaat': KeuzelijstWaarde(invulwaarde='brasschaat',
                                       label='brasschaat',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/brasschaat'),
        'brecht': KeuzelijstWaarde(invulwaarde='brecht',
                                   label='brecht',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/brecht'),
        'bredene': KeuzelijstWaarde(invulwaarde='bredene',
                                    label='bredene',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bredene'),
        'bree': KeuzelijstWaarde(invulwaarde='bree',
                                 label='bree',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bree'),
        'brugge': KeuzelijstWaarde(invulwaarde='brugge',
                                   label='brugge',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/brugge'),
        'buggenhout': KeuzelijstWaarde(invulwaarde='buggenhout',
                                       label='buggenhout',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/buggenhout'),
        'damme': KeuzelijstWaarde(invulwaarde='damme',
                                  label='damme',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/damme'),
        'de-Haan': KeuzelijstWaarde(invulwaarde='de-Haan',
                                    label='de Haan',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/de-Haan'),
        'de-Panne': KeuzelijstWaarde(invulwaarde='de-Panne',
                                     label='de Panne',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/de-Panne'),
        'de-Pinte': KeuzelijstWaarde(invulwaarde='de-Pinte',
                                     label='de Pinte',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/de-Pinte'),
        'deerlijk': KeuzelijstWaarde(invulwaarde='deerlijk',
                                     label='deerlijk',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/deerlijk'),
        'deinze': KeuzelijstWaarde(invulwaarde='deinze',
                                   label='deinze',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/deinze'),
        'denderleeuw': KeuzelijstWaarde(invulwaarde='denderleeuw',
                                        label='denderleeuw',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/denderleeuw'),
        'dendermonde': KeuzelijstWaarde(invulwaarde='dendermonde',
                                        label='dendermonde',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/dendermonde'),
        'dentergem': KeuzelijstWaarde(invulwaarde='dentergem',
                                      label='dentergem',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/dentergem'),
        'dessel': KeuzelijstWaarde(invulwaarde='dessel',
                                   label='dessel',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/dessel'),
        'destelbergen': KeuzelijstWaarde(invulwaarde='destelbergen',
                                         label='destelbergen',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/destelbergen'),
        'diepenbeek': KeuzelijstWaarde(invulwaarde='diepenbeek',
                                       label='diepenbeek',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/diepenbeek'),
        'diest': KeuzelijstWaarde(invulwaarde='diest',
                                  label='diest',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/diest'),
        'diksmuide': KeuzelijstWaarde(invulwaarde='diksmuide',
                                      label='diksmuide',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/diksmuide'),
        'dilbeek': KeuzelijstWaarde(invulwaarde='dilbeek',
                                    label='dilbeek',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/dilbeek'),
        'dilsen-Stokkem': KeuzelijstWaarde(invulwaarde='dilsen-Stokkem',
                                           label='dilsen-Stokkem',
                                           objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/dilsen-Stokkem'),
        'drogenbos': KeuzelijstWaarde(invulwaarde='drogenbos',
                                      label='drogenbos',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/drogenbos'),
        'duffel': KeuzelijstWaarde(invulwaarde='duffel',
                                   label='duffel',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/duffel'),
        'edegem': KeuzelijstWaarde(invulwaarde='edegem',
                                   label='edegem',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/edegem'),
        'eeklo': KeuzelijstWaarde(invulwaarde='eeklo',
                                  label='eeklo',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/eeklo'),
        'erpe-Mere': KeuzelijstWaarde(invulwaarde='erpe-Mere',
                                      label='erpe-Mere',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/erpe-Mere'),
        'essen': KeuzelijstWaarde(invulwaarde='essen',
                                  label='essen',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/essen'),
        'evergem': KeuzelijstWaarde(invulwaarde='evergem',
                                    label='evergem',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/evergem'),
        'galmaarden': KeuzelijstWaarde(invulwaarde='galmaarden',
                                       label='galmaarden',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/galmaarden'),
        'gavere': KeuzelijstWaarde(invulwaarde='gavere',
                                   label='gavere',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/gavere'),
        'geel': KeuzelijstWaarde(invulwaarde='geel',
                                 label='geel',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/geel'),
        'geetbets': KeuzelijstWaarde(invulwaarde='geetbets',
                                     label='geetbets',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/geetbets'),
        'genk': KeuzelijstWaarde(invulwaarde='genk',
                                 label='genk',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/genk'),
        'gent': KeuzelijstWaarde(invulwaarde='gent',
                                 label='gent',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/gent'),
        'geraardsbergen': KeuzelijstWaarde(invulwaarde='geraardsbergen',
                                           label='geraardsbergen',
                                           objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/geraardsbergen'),
        'gingelom': KeuzelijstWaarde(invulwaarde='gingelom',
                                     label='gingelom',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/gingelom'),
        'gistel': KeuzelijstWaarde(invulwaarde='gistel',
                                   label='gistel',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/gistel'),
        'glabbeek': KeuzelijstWaarde(invulwaarde='glabbeek',
                                     label='glabbeek',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/glabbeek'),
        'gooik': KeuzelijstWaarde(invulwaarde='gooik',
                                  label='gooik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/gooik'),
        'grimbergen': KeuzelijstWaarde(invulwaarde='grimbergen',
                                       label='grimbergen',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/grimbergen'),
        'grobbendonk': KeuzelijstWaarde(invulwaarde='grobbendonk',
                                        label='grobbendonk',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/grobbendonk'),
        'haacht': KeuzelijstWaarde(invulwaarde='haacht',
                                   label='haacht',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/haacht'),
        'haaltert': KeuzelijstWaarde(invulwaarde='haaltert',
                                     label='haaltert',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/haaltert'),
        'halen': KeuzelijstWaarde(invulwaarde='halen',
                                  label='halen',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/halen'),
        'halle': KeuzelijstWaarde(invulwaarde='halle',
                                  label='halle',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/halle'),
        'ham': KeuzelijstWaarde(invulwaarde='ham',
                                label='ham',
                                objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ham'),
        'hamme': KeuzelijstWaarde(invulwaarde='hamme',
                                  label='hamme',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hamme'),
        'hamont-Achel': KeuzelijstWaarde(invulwaarde='hamont-Achel',
                                         label='hamont-Achel',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hamont-Achel'),
        'harelbeke': KeuzelijstWaarde(invulwaarde='harelbeke',
                                      label='harelbeke',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/harelbeke'),
        'hasselt': KeuzelijstWaarde(invulwaarde='hasselt',
                                    label='hasselt',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hasselt'),
        'hechtel-Eksel': KeuzelijstWaarde(invulwaarde='hechtel-Eksel',
                                          label='hechtel-Eksel',
                                          objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hechtel-Eksel'),
        'heers': KeuzelijstWaarde(invulwaarde='heers',
                                  label='heers',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/heers'),
        'heist-op-den-Berg': KeuzelijstWaarde(invulwaarde='heist-op-den-Berg',
                                              label='heist-op-den-Berg',
                                              objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/heist-op-den-Berg'),
        'hemiksem': KeuzelijstWaarde(invulwaarde='hemiksem',
                                     label='hemiksem',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hemiksem'),
        'herent': KeuzelijstWaarde(invulwaarde='herent',
                                   label='herent',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/herent'),
        'herentals': KeuzelijstWaarde(invulwaarde='herentals',
                                      label='herentals',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/herentals'),
        'herenthout': KeuzelijstWaarde(invulwaarde='herenthout',
                                       label='herenthout',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/herenthout'),
        'herk-de-Stad': KeuzelijstWaarde(invulwaarde='herk-de-Stad',
                                         label='herk-de-Stad',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/herk-de-Stad'),
        'herne': KeuzelijstWaarde(invulwaarde='herne',
                                  label='herne',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/herne'),
        'herselt': KeuzelijstWaarde(invulwaarde='herselt',
                                    label='herselt',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/herselt'),
        'herstappe': KeuzelijstWaarde(invulwaarde='herstappe',
                                      label='herstappe',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/herstappe'),
        'herzele': KeuzelijstWaarde(invulwaarde='herzele',
                                    label='herzele',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/herzele'),
        'heusden-Zolder': KeuzelijstWaarde(invulwaarde='heusden-Zolder',
                                           label='heusden-Zolder',
                                           objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/heusden-Zolder'),
        'heuvelland': KeuzelijstWaarde(invulwaarde='heuvelland',
                                       label='heuvelland',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/heuvelland'),
        'hoegaarden': KeuzelijstWaarde(invulwaarde='hoegaarden',
                                       label='hoegaarden',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hoegaarden'),
        'hoeilaart': KeuzelijstWaarde(invulwaarde='hoeilaart',
                                      label='hoeilaart',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hoeilaart'),
        'hoeselt': KeuzelijstWaarde(invulwaarde='hoeselt',
                                    label='hoeselt',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hoeselt'),
        'holsbeek': KeuzelijstWaarde(invulwaarde='holsbeek',
                                     label='holsbeek',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/holsbeek'),
        'hooglede': KeuzelijstWaarde(invulwaarde='hooglede',
                                     label='hooglede',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hooglede'),
        'hoogstraten': KeuzelijstWaarde(invulwaarde='hoogstraten',
                                        label='hoogstraten',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hoogstraten'),
        'horebeke': KeuzelijstWaarde(invulwaarde='horebeke',
                                     label='horebeke',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/horebeke'),
        'houthalen-Helchteren': KeuzelijstWaarde(invulwaarde='houthalen-Helchteren',
                                                 label='houthalen-Helchteren',
                                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/houthalen-Helchteren'),
        'houthulst': KeuzelijstWaarde(invulwaarde='houthulst',
                                      label='houthulst',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/houthulst'),
        'hove': KeuzelijstWaarde(invulwaarde='hove',
                                 label='hove',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hove'),
        'huldenberg': KeuzelijstWaarde(invulwaarde='huldenberg',
                                       label='huldenberg',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/huldenberg'),
        'hulshout': KeuzelijstWaarde(invulwaarde='hulshout',
                                     label='hulshout',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hulshout'),
        'ichtegem': KeuzelijstWaarde(invulwaarde='ichtegem',
                                     label='ichtegem',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ichtegem'),
        'ieper': KeuzelijstWaarde(invulwaarde='ieper',
                                  label='ieper',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ieper'),
        'ingelmunster': KeuzelijstWaarde(invulwaarde='ingelmunster',
                                         label='ingelmunster',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ingelmunster'),
        'izegem': KeuzelijstWaarde(invulwaarde='izegem',
                                   label='izegem',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/izegem'),
        'jabbeke': KeuzelijstWaarde(invulwaarde='jabbeke',
                                    label='jabbeke',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/jabbeke'),
        'kalmthout': KeuzelijstWaarde(invulwaarde='kalmthout',
                                      label='kalmthout',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kalmthout'),
        'kampenhout': KeuzelijstWaarde(invulwaarde='kampenhout',
                                       label='kampenhout',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kampenhout'),
        'kapelle-op-den-Bos': KeuzelijstWaarde(invulwaarde='kapelle-op-den-Bos',
                                               label='kapelle-op-den-Bos',
                                               objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kapelle-op-den-Bos'),
        'kapellen': KeuzelijstWaarde(invulwaarde='kapellen',
                                     label='kapellen',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kapellen'),
        'kaprijke': KeuzelijstWaarde(invulwaarde='kaprijke',
                                     label='kaprijke',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kaprijke'),
        'kasterlee': KeuzelijstWaarde(invulwaarde='kasterlee',
                                      label='kasterlee',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kasterlee'),
        'keerbergen': KeuzelijstWaarde(invulwaarde='keerbergen',
                                       label='keerbergen',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/keerbergen'),
        'kinrooi': KeuzelijstWaarde(invulwaarde='kinrooi',
                                    label='kinrooi',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kinrooi'),
        'kluisbergen': KeuzelijstWaarde(invulwaarde='kluisbergen',
                                        label='kluisbergen',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kluisbergen'),
        'knesselare': KeuzelijstWaarde(invulwaarde='knesselare',
                                       label='knesselare',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/knesselare'),
        'knokke-Heist': KeuzelijstWaarde(invulwaarde='knokke-Heist',
                                         label='knokke-Heist',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/knokke-Heist'),
        'koekelare': KeuzelijstWaarde(invulwaarde='koekelare',
                                      label='koekelare',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/koekelare'),
        'koksijde': KeuzelijstWaarde(invulwaarde='koksijde',
                                     label='koksijde',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/koksijde'),
        'kontich': KeuzelijstWaarde(invulwaarde='kontich',
                                    label='kontich',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kontich'),
        'kortemark': KeuzelijstWaarde(invulwaarde='kortemark',
                                      label='kortemark',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kortemark'),
        'kortenaken': KeuzelijstWaarde(invulwaarde='kortenaken',
                                       label='kortenaken',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kortenaken'),
        'kortenberg': KeuzelijstWaarde(invulwaarde='kortenberg',
                                       label='kortenberg',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kortenberg'),
        'kortessem': KeuzelijstWaarde(invulwaarde='kortessem',
                                      label='kortessem',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kortessem'),
        'kortrijk': KeuzelijstWaarde(invulwaarde='kortrijk',
                                     label='kortrijk',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kortrijk'),
        'kraainem': KeuzelijstWaarde(invulwaarde='kraainem',
                                     label='kraainem',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kraainem'),
        'kruibeke': KeuzelijstWaarde(invulwaarde='kruibeke',
                                     label='kruibeke',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kruibeke'),
        'kruisem': KeuzelijstWaarde(invulwaarde='kruisem',
                                    label='kruisem',
                                    definitie='Kruisem',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kruisem'),
        'kruishoutem': KeuzelijstWaarde(invulwaarde='kruishoutem',
                                        label='kruishoutem',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kruishoutem'),
        'kuurne': KeuzelijstWaarde(invulwaarde='kuurne',
                                   label='kuurne',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kuurne'),
        'laakdal': KeuzelijstWaarde(invulwaarde='laakdal',
                                    label='laakdal',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/laakdal'),
        'laarne': KeuzelijstWaarde(invulwaarde='laarne',
                                   label='laarne',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/laarne'),
        'lanaken': KeuzelijstWaarde(invulwaarde='lanaken',
                                    label='lanaken',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lanaken'),
        'landen': KeuzelijstWaarde(invulwaarde='landen',
                                   label='landen',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/landen'),
        'langemark-Poelkapelle': KeuzelijstWaarde(invulwaarde='langemark-Poelkapelle',
                                                  label='langemark-Poelkapelle',
                                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/langemark-Poelkapelle'),
        'lebbeke': KeuzelijstWaarde(invulwaarde='lebbeke',
                                    label='lebbeke',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lebbeke'),
        'lede': KeuzelijstWaarde(invulwaarde='lede',
                                 label='lede',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lede'),
        'ledegem': KeuzelijstWaarde(invulwaarde='ledegem',
                                    label='ledegem',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ledegem'),
        'lendelede': KeuzelijstWaarde(invulwaarde='lendelede',
                                      label='lendelede',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lendelede'),
        'lennik': KeuzelijstWaarde(invulwaarde='lennik',
                                   label='lennik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lennik'),
        'leopoldsburg': KeuzelijstWaarde(invulwaarde='leopoldsburg',
                                         label='leopoldsburg',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/leopoldsburg'),
        'leuven': KeuzelijstWaarde(invulwaarde='leuven',
                                   label='leuven',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/leuven'),
        'lichtervelde': KeuzelijstWaarde(invulwaarde='lichtervelde',
                                         label='lichtervelde',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lichtervelde'),
        'liedekerke': KeuzelijstWaarde(invulwaarde='liedekerke',
                                       label='liedekerke',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/liedekerke'),
        'lier': KeuzelijstWaarde(invulwaarde='lier',
                                 label='lier',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lier'),
        'lierde': KeuzelijstWaarde(invulwaarde='lierde',
                                   label='lierde',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lierde'),
        'lievegem': KeuzelijstWaarde(invulwaarde='lievegem',
                                     label='lievegem',
                                     definitie='Lievegem',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lievegem'),
        'lille': KeuzelijstWaarde(invulwaarde='lille',
                                  label='lille',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lille'),
        'linkebeek': KeuzelijstWaarde(invulwaarde='linkebeek',
                                      label='linkebeek',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/linkebeek'),
        'lint': KeuzelijstWaarde(invulwaarde='lint',
                                 label='lint',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lint'),
        'linter': KeuzelijstWaarde(invulwaarde='linter',
                                   label='linter',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/linter'),
        'lo-Reninge': KeuzelijstWaarde(invulwaarde='lo-Reninge',
                                       label='lo-Reninge',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lo-Reninge'),
        'lochristi': KeuzelijstWaarde(invulwaarde='lochristi',
                                      label='lochristi',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lochristi'),
        'lokeren': KeuzelijstWaarde(invulwaarde='lokeren',
                                    label='lokeren',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lokeren'),
        'lommel': KeuzelijstWaarde(invulwaarde='lommel',
                                   label='lommel',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lommel'),
        'londerzeel': KeuzelijstWaarde(invulwaarde='londerzeel',
                                       label='londerzeel',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/londerzeel'),
        'lovendegem': KeuzelijstWaarde(invulwaarde='lovendegem',
                                       label='lovendegem',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lovendegem'),
        'lubbeek': KeuzelijstWaarde(invulwaarde='lubbeek',
                                    label='lubbeek',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lubbeek'),
        'lummen': KeuzelijstWaarde(invulwaarde='lummen',
                                   label='lummen',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lummen'),
        'maarkedal': KeuzelijstWaarde(invulwaarde='maarkedal',
                                      label='maarkedal',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/maarkedal'),
        'maaseik': KeuzelijstWaarde(invulwaarde='maaseik',
                                    label='maaseik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/maaseik'),
        'maasmechelen': KeuzelijstWaarde(invulwaarde='maasmechelen',
                                         label='maasmechelen',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/maasmechelen'),
        'machelen': KeuzelijstWaarde(invulwaarde='machelen',
                                     label='machelen',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/machelen'),
        'maldegem': KeuzelijstWaarde(invulwaarde='maldegem',
                                     label='maldegem',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/maldegem'),
        'malle': KeuzelijstWaarde(invulwaarde='malle',
                                  label='malle',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/malle'),
        'mechelen': KeuzelijstWaarde(invulwaarde='mechelen',
                                     label='mechelen',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/mechelen'),
        'meerhout': KeuzelijstWaarde(invulwaarde='meerhout',
                                     label='meerhout',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/meerhout'),
        'meeuwen-Gruitrode': KeuzelijstWaarde(invulwaarde='meeuwen-Gruitrode',
                                              label='meeuwen-Gruitrode',
                                              objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/meeuwen-Gruitrode'),
        'meise': KeuzelijstWaarde(invulwaarde='meise',
                                  label='meise',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/meise'),
        'melle': KeuzelijstWaarde(invulwaarde='melle',
                                  label='melle',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/melle'),
        'menen': KeuzelijstWaarde(invulwaarde='menen',
                                  label='menen',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/menen'),
        'merchtem': KeuzelijstWaarde(invulwaarde='merchtem',
                                     label='merchtem',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/merchtem'),
        'merelbeke': KeuzelijstWaarde(invulwaarde='merelbeke',
                                      label='merelbeke',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/merelbeke'),
        'merksplas': KeuzelijstWaarde(invulwaarde='merksplas',
                                      label='merksplas',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/merksplas'),
        'mesen': KeuzelijstWaarde(invulwaarde='mesen',
                                  label='mesen',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/mesen'),
        'meulebeke': KeuzelijstWaarde(invulwaarde='meulebeke',
                                      label='meulebeke',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/meulebeke'),
        'middelkerke': KeuzelijstWaarde(invulwaarde='middelkerke',
                                        label='middelkerke',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/middelkerke'),
        'moerbeke': KeuzelijstWaarde(invulwaarde='moerbeke',
                                     label='moerbeke',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/moerbeke'),
        'mol': KeuzelijstWaarde(invulwaarde='mol',
                                label='mol',
                                objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/mol'),
        'moorslede': KeuzelijstWaarde(invulwaarde='moorslede',
                                      label='moorslede',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/moorslede'),
        'mortsel': KeuzelijstWaarde(invulwaarde='mortsel',
                                    label='mortsel',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/mortsel'),
        'nazareth': KeuzelijstWaarde(invulwaarde='nazareth',
                                     label='nazareth',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/nazareth'),
        'neerpelt': KeuzelijstWaarde(invulwaarde='neerpelt',
                                     label='neerpelt',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/neerpelt'),
        'nevele': KeuzelijstWaarde(invulwaarde='nevele',
                                   label='nevele',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/nevele'),
        'niel': KeuzelijstWaarde(invulwaarde='niel',
                                 label='niel',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/niel'),
        'nieuwerkerken': KeuzelijstWaarde(invulwaarde='nieuwerkerken',
                                          label='nieuwerkerken',
                                          objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/nieuwerkerken'),
        'nieuwpoort': KeuzelijstWaarde(invulwaarde='nieuwpoort',
                                       label='nieuwpoort',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/nieuwpoort'),
        'nijlen': KeuzelijstWaarde(invulwaarde='nijlen',
                                   label='nijlen',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/nijlen'),
        'ninove': KeuzelijstWaarde(invulwaarde='ninove',
                                   label='ninove',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ninove'),
        'olen': KeuzelijstWaarde(invulwaarde='olen',
                                 label='olen',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/olen'),
        'oostende': KeuzelijstWaarde(invulwaarde='oostende',
                                     label='oostende',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oostende'),
        'oosterzele': KeuzelijstWaarde(invulwaarde='oosterzele',
                                       label='oosterzele',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oosterzele'),
        'oostkamp': KeuzelijstWaarde(invulwaarde='oostkamp',
                                     label='oostkamp',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oostkamp'),
        'oostrozebeke': KeuzelijstWaarde(invulwaarde='oostrozebeke',
                                         label='oostrozebeke',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oostrozebeke'),
        'opglabbeek': KeuzelijstWaarde(invulwaarde='opglabbeek',
                                       label='opglabbeek',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/opglabbeek'),
        'opwijk': KeuzelijstWaarde(invulwaarde='opwijk',
                                   label='opwijk',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/opwijk'),
        'oud-Heverlee': KeuzelijstWaarde(invulwaarde='oud-Heverlee',
                                         label='oud-Heverlee',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oud-Heverlee'),
        'oud-Turnhout': KeuzelijstWaarde(invulwaarde='oud-Turnhout',
                                         label='oud-Turnhout',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oud-Turnhout'),
        'oudenaarde': KeuzelijstWaarde(invulwaarde='oudenaarde',
                                       label='oudenaarde',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oudenaarde'),
        'oudenburg': KeuzelijstWaarde(invulwaarde='oudenburg',
                                      label='oudenburg',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oudenburg'),
        'oudsbergen': KeuzelijstWaarde(invulwaarde='oudsbergen',
                                       label='oudsbergen',
                                       definitie='Oudsbergen',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oudsbergen'),
        'overijse': KeuzelijstWaarde(invulwaarde='overijse',
                                     label='overijse',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/overijse'),
        'overpelt': KeuzelijstWaarde(invulwaarde='overpelt',
                                     label='overpelt',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/overpelt'),
        'peer': KeuzelijstWaarde(invulwaarde='peer',
                                 label='peer',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/peer'),
        'pelt': KeuzelijstWaarde(invulwaarde='pelt',
                                 label='pelt',
                                 definitie='Pelt',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/pelt'),
        'pepingen': KeuzelijstWaarde(invulwaarde='pepingen',
                                     label='pepingen',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/pepingen'),
        'pittem': KeuzelijstWaarde(invulwaarde='pittem',
                                   label='pittem',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/pittem'),
        'poperinge': KeuzelijstWaarde(invulwaarde='poperinge',
                                      label='poperinge',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/poperinge'),
        'putte': KeuzelijstWaarde(invulwaarde='putte',
                                  label='putte',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/putte'),
        'puurs': KeuzelijstWaarde(invulwaarde='puurs',
                                  label='puurs',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/puurs'),
        'puurs-sint-amands': KeuzelijstWaarde(invulwaarde='puurs-sint-amands',
                                              label='puurs-Sint-Amands',
                                              definitie='Puurs-Sint-Amands',
                                              objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/puurs-sint-amands'),
        'ranst': KeuzelijstWaarde(invulwaarde='ranst',
                                  label='ranst',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ranst'),
        'ravels': KeuzelijstWaarde(invulwaarde='ravels',
                                   label='ravels',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ravels'),
        'retie': KeuzelijstWaarde(invulwaarde='retie',
                                  label='retie',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/retie'),
        'riemst': KeuzelijstWaarde(invulwaarde='riemst',
                                   label='riemst',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/riemst'),
        'rijkevorsel': KeuzelijstWaarde(invulwaarde='rijkevorsel',
                                        label='rijkevorsel',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/rijkevorsel'),
        'roeselare': KeuzelijstWaarde(invulwaarde='roeselare',
                                      label='roeselare',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/roeselare'),
        'ronse': KeuzelijstWaarde(invulwaarde='ronse',
                                  label='ronse',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ronse'),
        'roosdaal': KeuzelijstWaarde(invulwaarde='roosdaal',
                                     label='roosdaal',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/roosdaal'),
        'rotselaar': KeuzelijstWaarde(invulwaarde='rotselaar',
                                      label='rotselaar',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/rotselaar'),
        'ruiselede': KeuzelijstWaarde(invulwaarde='ruiselede',
                                      label='ruiselede',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ruiselede'),
        'rumst': KeuzelijstWaarde(invulwaarde='rumst',
                                  label='rumst',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/rumst'),
        'schelle': KeuzelijstWaarde(invulwaarde='schelle',
                                    label='schelle',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/schelle'),
        'scherpenheuvel-Zichem': KeuzelijstWaarde(invulwaarde='scherpenheuvel-Zichem',
                                                  label='scherpenheuvel-Zichem',
                                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/scherpenheuvel-Zichem'),
        'schilde': KeuzelijstWaarde(invulwaarde='schilde',
                                    label='schilde',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/schilde'),
        'schoten': KeuzelijstWaarde(invulwaarde='schoten',
                                    label='schoten',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/schoten'),
        'sint-Amands': KeuzelijstWaarde(invulwaarde='sint-Amands',
                                        label='sint-Amands',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Amands'),
        'sint-Genesius-Rode': KeuzelijstWaarde(invulwaarde='sint-Genesius-Rode',
                                               label='sint-Genesius-Rode',
                                               objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Genesius-Rode'),
        'sint-Gillis-Waas': KeuzelijstWaarde(invulwaarde='sint-Gillis-Waas',
                                             label='sint-Gillis-Waas',
                                             objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Gillis-Waas'),
        'sint-Katelijne-Waver': KeuzelijstWaarde(invulwaarde='sint-Katelijne-Waver',
                                                 label='sint-Katelijne-Waver',
                                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Katelijne-Waver'),
        'sint-Laureins': KeuzelijstWaarde(invulwaarde='sint-Laureins',
                                          label='sint-Laureins',
                                          objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Laureins'),
        'sint-Lievens-Houtem': KeuzelijstWaarde(invulwaarde='sint-Lievens-Houtem',
                                                label='sint-Lievens-Houtem',
                                                objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Lievens-Houtem'),
        'sint-Martens-Latem': KeuzelijstWaarde(invulwaarde='sint-Martens-Latem',
                                               label='sint-Martens-Latem',
                                               objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Martens-Latem'),
        'sint-Niklaas': KeuzelijstWaarde(invulwaarde='sint-Niklaas',
                                         label='sint-Niklaas',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Niklaas'),
        'sint-Pieters-Leeuw': KeuzelijstWaarde(invulwaarde='sint-Pieters-Leeuw',
                                               label='sint-Pieters-Leeuw',
                                               objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Pieters-Leeuw'),
        'sint-Truiden': KeuzelijstWaarde(invulwaarde='sint-Truiden',
                                         label='sint-Truiden',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Truiden'),
        'spiere-Helkijn': KeuzelijstWaarde(invulwaarde='spiere-Helkijn',
                                           label='spiere-Helkijn',
                                           objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/spiere-Helkijn'),
        'stabroek': KeuzelijstWaarde(invulwaarde='stabroek',
                                     label='stabroek',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/stabroek'),
        'staden': KeuzelijstWaarde(invulwaarde='staden',
                                   label='staden',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/staden'),
        'steenokkerzeel': KeuzelijstWaarde(invulwaarde='steenokkerzeel',
                                           label='steenokkerzeel',
                                           objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/steenokkerzeel'),
        'stekene': KeuzelijstWaarde(invulwaarde='stekene',
                                    label='stekene',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/stekene'),
        'temse': KeuzelijstWaarde(invulwaarde='temse',
                                  label='temse',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/temse'),
        'ternat': KeuzelijstWaarde(invulwaarde='ternat',
                                   label='ternat',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ternat'),
        'tervuren': KeuzelijstWaarde(invulwaarde='tervuren',
                                     label='tervuren',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/tervuren'),
        'tessenderlo': KeuzelijstWaarde(invulwaarde='tessenderlo',
                                        label='tessenderlo',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/tessenderlo'),
        'tielt': KeuzelijstWaarde(invulwaarde='tielt',
                                  label='tielt',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/tielt'),
        'tielt-Winge': KeuzelijstWaarde(invulwaarde='tielt-Winge',
                                        label='tielt-Winge',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/tielt-Winge'),
        'tienen': KeuzelijstWaarde(invulwaarde='tienen',
                                   label='tienen',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/tienen'),
        'tongeren': KeuzelijstWaarde(invulwaarde='tongeren',
                                     label='tongeren',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/tongeren'),
        'torhout': KeuzelijstWaarde(invulwaarde='torhout',
                                    label='torhout',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/torhout'),
        'tremelo': KeuzelijstWaarde(invulwaarde='tremelo',
                                    label='tremelo',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/tremelo'),
        'turnhout': KeuzelijstWaarde(invulwaarde='turnhout',
                                     label='turnhout',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/turnhout'),
        'veurne': KeuzelijstWaarde(invulwaarde='veurne',
                                   label='veurne',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/veurne'),
        'vilvoorde': KeuzelijstWaarde(invulwaarde='vilvoorde',
                                      label='vilvoorde',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/vilvoorde'),
        'vleteren': KeuzelijstWaarde(invulwaarde='vleteren',
                                     label='vleteren',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/vleteren'),
        'voeren': KeuzelijstWaarde(invulwaarde='voeren',
                                   label='voeren',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/voeren'),
        'vorselaar': KeuzelijstWaarde(invulwaarde='vorselaar',
                                      label='vorselaar',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/vorselaar'),
        'vosselaar': KeuzelijstWaarde(invulwaarde='vosselaar',
                                      label='vosselaar',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/vosselaar'),
        'waarschoot': KeuzelijstWaarde(invulwaarde='waarschoot',
                                       label='waarschoot',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/waarschoot'),
        'waasmunster': KeuzelijstWaarde(invulwaarde='waasmunster',
                                        label='waasmunster',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/waasmunster'),
        'wachtebeke': KeuzelijstWaarde(invulwaarde='wachtebeke',
                                       label='wachtebeke',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wachtebeke'),
        'waregem': KeuzelijstWaarde(invulwaarde='waregem',
                                    label='waregem',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/waregem'),
        'wellen': KeuzelijstWaarde(invulwaarde='wellen',
                                   label='wellen',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wellen'),
        'wemmel': KeuzelijstWaarde(invulwaarde='wemmel',
                                   label='wemmel',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wemmel'),
        'wervik': KeuzelijstWaarde(invulwaarde='wervik',
                                   label='wervik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wervik'),
        'westerlo': KeuzelijstWaarde(invulwaarde='westerlo',
                                     label='westerlo',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/westerlo'),
        'wetteren': KeuzelijstWaarde(invulwaarde='wetteren',
                                     label='wetteren',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wetteren'),
        'wevelgem': KeuzelijstWaarde(invulwaarde='wevelgem',
                                     label='wevelgem',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wevelgem'),
        'wezembeek-Oppem': KeuzelijstWaarde(invulwaarde='wezembeek-Oppem',
                                            label='wezembeek-Oppem',
                                            objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wezembeek-Oppem'),
        'wichelen': KeuzelijstWaarde(invulwaarde='wichelen',
                                     label='wichelen',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wichelen'),
        'wielsbeke': KeuzelijstWaarde(invulwaarde='wielsbeke',
                                      label='wielsbeke',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wielsbeke'),
        'wijnegem': KeuzelijstWaarde(invulwaarde='wijnegem',
                                     label='wijnegem',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wijnegem'),
        'willebroek': KeuzelijstWaarde(invulwaarde='willebroek',
                                       label='willebroek',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/willebroek'),
        'wingene': KeuzelijstWaarde(invulwaarde='wingene',
                                    label='wingene',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wingene'),
        'wommelgem': KeuzelijstWaarde(invulwaarde='wommelgem',
                                      label='wommelgem',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wommelgem'),
        'wortegem-Petegem': KeuzelijstWaarde(invulwaarde='wortegem-Petegem',
                                             label='wortegem-Petegem',
                                             objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wortegem-Petegem'),
        'wuustwezel': KeuzelijstWaarde(invulwaarde='wuustwezel',
                                       label='wuustwezel',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wuustwezel'),
        'zandhoven': KeuzelijstWaarde(invulwaarde='zandhoven',
                                      label='zandhoven',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zandhoven'),
        'zaventem': KeuzelijstWaarde(invulwaarde='zaventem',
                                     label='zaventem',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zaventem'),
        'zedelgem': KeuzelijstWaarde(invulwaarde='zedelgem',
                                     label='zedelgem',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zedelgem'),
        'zele': KeuzelijstWaarde(invulwaarde='zele',
                                 label='zele',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zele'),
        'zelzate': KeuzelijstWaarde(invulwaarde='zelzate',
                                    label='zelzate',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zelzate'),
        'zemst': KeuzelijstWaarde(invulwaarde='zemst',
                                  label='zemst',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zemst'),
        'zingem': KeuzelijstWaarde(invulwaarde='zingem',
                                   label='zingem',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zingem'),
        'zoersel': KeuzelijstWaarde(invulwaarde='zoersel',
                                    label='zoersel',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zoersel'),
        'zomergem': KeuzelijstWaarde(invulwaarde='zomergem',
                                     label='zomergem',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zomergem'),
        'zonhoven': KeuzelijstWaarde(invulwaarde='zonhoven',
                                     label='zonhoven',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zonhoven'),
        'zonnebeke': KeuzelijstWaarde(invulwaarde='zonnebeke',
                                      label='zonnebeke',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zonnebeke'),
        'zottegem': KeuzelijstWaarde(invulwaarde='zottegem',
                                     label='zottegem',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zottegem'),
        'zoutleeuw': KeuzelijstWaarde(invulwaarde='zoutleeuw',
                                      label='zoutleeuw',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zoutleeuw'),
        'zuienkerke': KeuzelijstWaarde(invulwaarde='zuienkerke',
                                       label='zuienkerke',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zuienkerke'),
        'zulte': KeuzelijstWaarde(invulwaarde='zulte',
                                  label='zulte',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zulte'),
        'zutendaal': KeuzelijstWaarde(invulwaarde='zutendaal',
                                      label='zutendaal',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zutendaal'),
        'zwalm': KeuzelijstWaarde(invulwaarde='zwalm',
                                  label='zwalm',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zwalm'),
        'zwevegem': KeuzelijstWaarde(invulwaarde='zwevegem',
                                     label='zwevegem',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zwevegem'),
        'zwijndrecht': KeuzelijstWaarde(invulwaarde='zwijndrecht',
                                        label='zwijndrecht',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zwijndrecht')
    }

